IF ((SELECT ISNULL((select 1 from xParametros where IdParametro = 'Flag_Ticket_Codigos'),0)) = 1)
BEGIN
 DELETE xParametros where IdParametro = 'Flag_Ticket_Codigos'
END

IF NOT EXISTS(SELECT 1 FROM xParametros WHERE IdParametro = 'Flag_Ticket_CodQr')
BEGIN
	INSERT INTO xParametros (SetDatos, IdParametro, Descripcion, TipoDato, Valor_Integer, NOTA)
	VALUES (1, 'Flag_Ticket_CodQr', 'Mostrar codigo Qr en tickets Kiosk','INTEGER',0,'Muestra "1" o no "0" el código QR en la descarga de ticket del kiosk')
END
GO

IF NOT EXISTS(SELECT 1 FROM xParametros WHERE IdParametro = 'Flag_Ticket_CodBarra')
BEGIN
	INSERT INTO xParametros (SetDatos, IdParametro, Descripcion, TipoDato, Valor_Integer, NOTA)
	VALUES (1, 'Flag_Ticket_CodBarra', 'Mostrar codigo Barra en tickets Kiosk','INTEGER',0,'Muestra "1" o no "0" el código Barra en la descarga de ticket del kiosk')
END
GO
